Skip site navigation (1) Skip section navigation (2)

gettext version problem exposed by buildfarm failures on "canary"

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: books(at)ejurka(dot)com, Peter Eisentraut <peter_e(at)gmx(dot)net>
Cc: pgsql-hackers(at)postgreSQL(dot)org
Subject: gettext version problem exposed by buildfarm failures on "canary"
Date: 2009-06-26 13:34:21
Message-ID: 4500.1246023261@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-hackers
I see buildfarm member "canary" (NetBSD 1.6) was recently resurrected,
but is failing to build HEAD, because msgfmt fails like this:

po/es.po:8039: keyword "msgid_plural" unknown
po/es.po:8036: missing `msgstr' section
po/es.po:8039: parse error

This indicates (1) canary needs a newer version of gettext, and
(2) our configure test for a sufficiently new gettext installation
is not in fact correct, because it didn't complain.

I asked about the configure issue some time ago, and was told that
the existing test for bind_textdomain_codeset() in libintl was
sufficient because that was introduced after ngettext().  It could
be that the library's history is different on NetBSD, or perhaps
canary has a recent libintl.so and a not so recent msgfmt.

I doubt it's worth trying to fix this before 8.4 release, but it
should get looked into eventually.

			regards, tom lane

Responses

pgsql-hackers by date

Next:From: Tom LaneDate: 2009-06-26 13:41:07
Subject: Re: [PATCH] backend: compare word-at-a-time in bcTruelen
Previous:From: Alexey BashtanovDate: 2009-06-26 12:54:22
Subject: BUG #4887: inclusion operator (@>) on tsqeries behaves not conforming to documentation

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group